List members of an organization
GET
/auth/v1/memberships/{orgId}/membersReturns a paginated list of the members belonging to the specified organization.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Query Parameters
limit?integer
Limit
offset?integer
Offset
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.ListOrgMembersResponse",
"$ref-value": {
"properties": {
"members": {
"items": {
"$ref": "#/components/schemas/authv1.OrgMember",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"id": {
"type": "string"
},
"invitation_expires_at": {
"type": "string"
},
"joined_at": {
"type": "string"
},
"last_name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
},
"username": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/memberships/string/members"OK
application/json
{
"$ref": "#/components/schemas/authv1.ListOrgMembersResponse",
"$ref-value": {
"properties": {
"members": {
"items": {
"$ref": "#/components/schemas/authv1.OrgMember",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"id": {
"type": "string"
},
"invitation_expires_at": {
"type": "string"
},
"joined_at": {
"type": "string"
},
"last_name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
},
"username": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}Get the caller's membership info in an organization GET
Returns the authenticated user's membership info (email) for an organization, with permission-denied when not a member.
List the current user's pending memberships GET
Returns a paginated list of the authenticated user's pending organization membership invitations that have not yet been accepted.